=== debian/changelog ===
tiup (1.16.4-1) unstable; urgency=medium

  * New upstream release
  * Remove multiple patches that limited TiUP functionality and dependencies
    intentionally when multiple packages were pending in the NEW queue in
    parallel, as they have all been accepted into Debian now and TiUP can be
    built with full functionality
  * Remove unused build dependencies identified by dh-make-golang
  * Drop redundant `Priority: optional`
  * Bump Debian Policy version to 4.7.3
  * Update copyright years for recent contributors
  * Update d/watch to use uscan v5 format
  * Update Lintian overrides about spelling errors in binaries

 -- Otto Kekäläinen <otto@debian.org>  Fri, 27 Feb 2026 08:08:08 +0000
